import { PayloadAction } from '@reduxjs/toolkit';
import { AuthAttributes, AuthRootState, AuthTokens, ModifyAuthAttributePayload } from './types';
export declare const setAuthTokens: import("@reduxjs/toolkit").ActionCreatorWithPayload<AuthTokens, string>, deleteAuthAttributes: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<string>;
export declare const setAuthAttribute: <T>(attr: AuthAttributes<T>) => {
    payload: AuthAttributes<T>;
    type: string;
};
export declare const updateAuthAttribute: <T>(attrs: ModifyAuthAttributePayload<T>) => {
    payload: ModifyAuthAttributePayload<T>;
    type: string;
};
export declare const getAuthAttributes: <T>(state: AuthRootState<T>) => AuthAttributes<T>;
declare const _default: import("@reduxjs/toolkit").Reducer<any, import("@reduxjs/toolkit").AnyAction>;
export default _default;
